{
  pkgs,
  lib,
  config,
  ...
}: let
  repo_root = "../../..";
in {
  home.file.".ideavimrc".source = ./${repo_root}/ideavim/ideavimrc;
  xdg.configFile."erdtree/.erdtreerc".source = ./${repo_root}/erdtree/erdtreerc;
  xdg.configFile."ov/config.yaml".source = ./${repo_root}/ov/ov-less.yaml;
  home.file."bin/git-sync".source = ./${repo_root}/git-sync;
  xdg.configFile."kitty/kitty.conf".source = ./${repo_root}/kitty/kitty.conf;
  xdg.configFile."lsd/config.yaml".source = ./${repo_root}/lsd/config.yaml;
  home.file.".cargo/config.toml".source = pkgs.substituteAll {
    src = ./${repo_root}/cargo/config.toml.nixtemplate;
    profileDir = config.home.profileDirectory;
  };
  xdg.configFile = {
    "doom/init.el".source = ./${repo_root}/emacs/emacs.doom/init.el;
    "doom/config.el".source = ./${repo_root}/emacs/emacs.doom/config.el;
    "doom/packages.el".source = ./${repo_root}/emacs/emacs.doom/packages.el;
  };
}
